import request from '@/utils/request'

// 查询题目纠错列表
export function listBCustomerQuestionError(query) {
  return request({
    url: '/back/bCustomerQuestionError/list',
    method: 'get',
    params: query
  })
}

export function updateStatus(ids) {
  return request({
    url: '/back/bCustomerQuestionError/updateStatus/'+ids,
    method: 'put'
  })
}

// 查询题目纠错详细
export function getBCustomerQuestionError(id) {
  return request({
    url: '/back/bCustomerQuestionError/' + id,
    method: 'get'
  })
}

// 新增题目纠错
export function addBCustomerQuestionError(data) {
  return request({
    url: '/back/bCustomerQuestionError',
    method: 'post',
    data: data
  })
}

// 修改题目纠错
export function updateBCustomerQuestionError(data) {
  return request({
    url: '/back/bCustomerQuestionError',
    method: 'put',
    data: data
  })
}

// 删除题目纠错
export function delBCustomerQuestionError(id) {
  return request({
    url: '/back/bCustomerQuestionError/' + id,
    method: 'delete'
  })
}

// 导出题目纠错
export function exportBCustomerQuestionError(query) {
  return request({
    url: '/back/bCustomerQuestionError/export',
    method: 'get',
    params: query
  })
}
